Subject: Re: AN interesting article. FYI... contd

From: Sham Chakravorty <[email-masked]>
Date: Thu, 02 Sep 1999 16:39:55 -0400

Hinden, Bradner and all,

I am one of the passive readers of e-mails on IPv6 that show up on my
screen everyday as they do on yours.  Not withstanding all the time I
(and at least another engineer working with me) spend on going through
the e-mails and try to grasp the significance of the various comments, a
few things stand out.

You folks appear a little too concerned about crticism of an engineering
standard (or set of standands in development) that has no single
implementation, commercial or institutional, that we could find that is
worthy of a mention.  And, you do unfairly, if not unprofessionally, (as
Jeff Williams points out) pick on Adhikari.  

So, here is the challenge, show us ONE real-world example of a
decent-size IPv6 implementation for all the work and all the man-years
that have been expended on it.  If not, could we request that someone in
the communicty of developers of standards and implementations justify
why the alternate IPv4 solutions should be discarded or why people be
concerned about IPv6 at all.

Chakravorty

Scott Bradner wrote:
> 
> the author's bio line
> 
>   Richard Adhikari is a leading journalist on advanced-IP issues for several
>   major publications, including The Wall Street Journal, and is a regular
>   contributor to Planet IT.
> 
> does not speak well for the wsj
> 
> Scott
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------

---

From: Robert Honore <[email-masked]>
Date: Thu, 9 Sep 1999 08:43:57 -0400

Dear Erik,

Erik Nordmark wrote:
> 
> > Have two separate identifiers.  One is transient and is used to
> > indicate the position in the routing hierarchy, and the other is
> > permanent and can be used to umambiguously identify a host within
> > the administrative hierarchy.  You also need a way to map from
> > the permanent identifier to the current transient identifier.
> 
> This sounds very attractive and feasible at the 50,000 foot level.
> But the devil is in the details. And since there isn't a fleshed out
> proposal for such a system it is impossible to discuss the advantages
> and disadvantages.

Then it just begs the question.  What will it take to produce such a proposal? 
I mean what would be the attributes of an acceptable proposal?

> 
> Even high level "details" like whether or not you can map from
> one of the identifiers to the other and vice versa, appear to be open to
> discussion among the set of people that have proposed a solution along the
> above lines.
> 

As I see it, anyone proposing a solution using two separate identifiers would
need to decide on at least the following issues.

(1)     Do the identifiers need to be globally unique, or merely unique to the
peer
systems?

(1a)    If not globally unique, how should they be negotiated between the peers?

(1b)    If globally unique, how should the global mapping to IP addresses be
maintained?

(2)     Whatever the solution, it must work equally well for TCP as well as UDP.

(3)     A more favourable solution will not require the alteration of either TCP
or
UDP.

(4)     What means can be used to address the issue of mapping the identifier to
an
IP address within each peer system?

(5)     What should be the lifetime of such an identifier?

(5a)    How should that lifetime be determined?

My own opinion is that the identifier does not need to be globally unique, but
if in fact it does need to be, then a mechanism similar to DNS should be
sufficient.

Yours sincerely,
Robert Honore.

---

From: Robert Honore <[email-masked]>
Date: Thu, 9 Sep 1999 08:46:28 -0400

Dear Dan,

> |Routing in the backbone would not be
> |able to handle it (i.e., it doesn't scale even today, much less into
> |the future).
> 
> The scalability issue has always been debatable, even if we are talking only
> about brute force implementations of existing models (cf. a recent contributor's
> comments about cheap routers capable of managing the IPv4 address space without
> aggregation) and it becomes even more nebulous if we consider completely new
> models.  However, I'd rather not debate the issue since such a debate usually
> involves a framework of difficult-to-define economic assumptions beyond the
> purely mathematical notion of scalability.  So I propose to confine further
> comments to approaches that preserve hierarchical routing.
> 

There is really very little to debate in the Scalability Issue.  The simple fact
is that in a network with flat routing (portable addresses) the number of routes
that must be managed in the network grows with the square of the number of nodes
in the network.  Now while current technology does allow routers to handle that
at the current size of the internet and with the current IP address lengths, I
doubt that situation will carry over into IPv6.  Even if you were to start with
flat routing in IPv6 now, you will eventually need to impose some hierarchy upon
the network or change the routing topology to something else that allows the
number of routes to grow more slowly.  In other words introduce non-portable
addresses.

Yours sincerely,
Robert Honore.